Module org.hdfgroup.hdfview
Package hdf.view.ImageView

# Class DefaultImageView.FlipFilter

Object
ImageFilter
hdf.view.ImageView.DefaultImageView.FlipFilter

All Implemented Interfaces:
  `ImageConsumer`, `Cloneable`

Enclosing class:
  `DefaultImageView`

public static class DefaultImageView.FlipFilter extends ImageFilter
FlipFilter creates image filter to flip image horizontally or vertically.

- ## Field Summary

  ### Fields inherited from class java.awt.image.ImageFilter

  `consumer`

  ### Fields inherited from interface java.awt.image.ImageConsumer

  `COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlipFilter(int d)`
  Constructs an image filter to flip horizontally or vertically.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `imageComplete(int status)`
  `void`
  `setDimensions(int w, int h)`
  `void`
  `setPixels(int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize)`
  `void`
  `setPixels(int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize)`

  ### Methods inherited from class java.awt.image.ImageFilter

  `clone, getFilterInstance, resendTopDownLeftRight, setColorModel, setHints, setProperties`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FlipFilter

    public FlipFilter(int d)
    Constructs an image filter to flip horizontally or vertically.
    Parameters:
      `d` - the flip direction.

- ## Method Details

  - ### setDimensions

    public void setDimensions(int w, int h)
    Specified by:
      `setDimensions` in interface `ImageConsumer`
    Overrides:
      `setDimensions` in class `ImageFilter`

  - ### setPixels

    public void setPixels(int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize)
    Specified by:
      `setPixels` in interface `ImageConsumer`
    Overrides:
      `setPixels` in class `ImageFilter`

  - ### setPixels

    public void setPixels(int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize)
    Specified by:
      `setPixels` in interface `ImageConsumer`
    Overrides:
      `setPixels` in class `ImageFilter`

  - ### imageComplete

    public void imageComplete(int status)
    Specified by:
      `imageComplete` in interface `ImageConsumer`
    Overrides:
      `imageComplete` in class `ImageFilter`